## qtractor 0.7.8

=== debian/changelog ===
qtractor (0.7.8-1) unstable; urgency=medium

  * Imported Upstream version 0.7.8
  * Tune .gitignore file.
  * Update copyright file.
  * Clean rules file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 23 Jun 2016 21:18:14 +0200

qtractor (0.7.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7.7
  * Patches refreshed.
  * Unused patch removed.
  * Bump Standards.
  * Switch to qt5.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Jun 2016 20:13:22 +0200

=== debian/control ===
Source: qtractor
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Gürkan Sengün <gurkan@phys.ethz.ch>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 automake,
 debhelper (>= 9~),
 dh-autoreconf,
 dssi-dev,
 ladspa-sdk,
 libasound2-dev,
 libgtk2.0-dev,
 libjack-dev,
 liblilv-dev,
 liblo-dev,
 libmad0-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5x11extras5-dev,
 librubberband-dev,
 libsamplerate0-dev | libsamplerate-dev,
 libsndfile1-dev,
 libsuil-dev,
 libtool,
 libvorbis-dev,
 libx11-dev,
 lv2-dev
Homepage: http://qtractor.sourceforge.net/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qtractor.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qtractor.git

Package: qtractor
Architecture: linux-any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-host
Description: MIDI/Audio multi-track sequencer application
 Qtractor is a MIDI/Audio multi-track sequencer application written
 in C++ around the Qt4 toolkit using Qt Designer.
 .
 The Jack Audio Connection Kit (JACK) for audio, and the Advanced Linux
 Sound Architecture (ALSA) for MIDI, are the main infrastructures to
 evolve as a fairly-featured Linux Desktop Audio Workstation GUI, especially
 dedicated to the personal home-studio.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-lilv \
		--enable-suil

override_dh_autoreconf:
	dh_autoreconf --as-needed

## qtractor 0.8.0

=== debian/changelog ===
qtractor (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Patch refreshed.
  * Set dh/compat 10.
  * Patches forwarded.
  * Install upstream man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 22 Nov 2016 01:49:49 +0100

qtractor (0.7.9-1) unstable; urgency=medium

  * New upstream version 0.7.9

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Sep 2016 12:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 9~),
+ debhelper (>= 10~),
  dh-autoreconf,
  dssi-dev,
  ladspa-sdk,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## qtractor 0.8.3

=== debian/changelog ===
qtractor (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 02 Jul 2017 23:47:49 +0200

qtractor (0.8.2-1) unstable; urgency=medium

  * Fix Gurkan's name as asked in privat email.
  * New upstream version 0.8.2 (Closes: #860211)
  * Remove dh_autoreconf.
  * Bump Standards.
  * Update copyright file.
  * Sign tags.
  * Avoid useless linking.
  * Add override file.
  * Remove redundant d/manpages file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 29 Jun 2017 19:44:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Gürkan Sengün <gurkan@phys.ethz.ch>,
+ Gürkan Myczko <gurkan@phys.ethz.ch>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
  debhelper (>= 10~),
- dh-autoreconf,
  dssi-dev,
  ladspa-sdk,
  libasound2-dev,
@@ -31,7 +30,7 @@
  libx11-dev,
  lv2-dev
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qtractor.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qtractor.git

## qtractor 0.8.5

=== debian/changelog ===
qtractor (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Bump Standards.
  * Update Homepage to avoid redirecting.
  * Use secure uri in watch file.
  * Vcs - use git instead of cgit.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 Dec 2017 22:34:15 +0100

qtractor (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patch refreshed.
  * Bump Standards.
  * update lintian-overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 02 Oct 2017 10:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
  libvorbis-dev,
  libx11-dev,
  lv2-dev
-Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 4.0.0
+Homepage: https://qtractor.sourceforge.io/
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qtractor.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qtractor.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qtractor.git
 
 Package: qtractor
 Architecture: linux-any

## qtractor 0.9.1

=== debian/changelog ===
qtractor (0.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 May 2018 13:20:36 +0200

qtractor (0.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Update description, drop qt4.
  * Bump standards version to 4.1.3.
  * Bump debhelper version to 11.
  * Update maintainer address.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 07 May 2018 10:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>,
@@ -9,7 +9,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 10~),
+ debhelper (>= 11~),
  dssi-dev,
  ladspa-sdk,
  libasound2-dev,
@@ -30,9 +30,9 @@
  libx11-dev,
  lv2-dev
 Homepage: https://qtractor.sourceforge.io/
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qtractor.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qtractor.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/multimedia-team/qtractor.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/qtractor
 
 Package: qtractor
 Architecture: linux-any
@@ -44,7 +44,7 @@
  lv2-host
 Description: MIDI/Audio multi-track sequencer application
  Qtractor is a MIDI/Audio multi-track sequencer application written
- in C++ around the Qt4 toolkit using Qt Designer.
+ in C++.
  .
  The Jack Audio Connection Kit (JACK) for audio, and the Advanced Linux
  Sound Architecture (ALSA) for MIDI, are the main infrastructures to

## qtractor 0.9.2

=== debian/changelog ===
qtractor (0.9.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 17 Sep 2018 18:33:20 -0700

qtractor (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches/missing-headers: dropped, applied upstream.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 13 Sep 2018 09:05:49 +0200

qtractor (0.9.1-2) unstable; urgency=medium

  * Add upstream patches for missing headers. (Closes: #907161)
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 28 Aug 2018 07:54:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>,
@@ -9,7 +10,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 11~),
+ debhelper (>= 10~),
  dssi-dev,
  ladspa-sdk,
  libasound2-dev,
@@ -30,7 +31,7 @@
  libx11-dev,
  lv2-dev
 Homepage: https://qtractor.sourceforge.io/
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qtractor.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qtractor

## qtractor 0.9.5

=== debian/changelog ===
qtractor (0.9.5-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Mar 2019 11:58:35 -0700

qtractor (0.9.5-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 19 Feb 2019 14:53:10 +0100

qtractor (0.9.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 12 Feb 2019 14:05:47 +0100

qtractor (0.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 10 Dec 2018 12:36:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 10~),
+ debhelper (>= 10.2),
  dssi-dev,
  ladspa-sdk,
  libasound2-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-lilv \
		--enable-suil

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qtractor 0.9.5.1+rb2

=== debian/changelog ===
qtractor (0.9.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Wed, 27 Jan 2021 09:47:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>,
@@ -10,7 +9,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 10.2),
+ debhelper (>= 11~),
  dssi-dev,
  ladspa-sdk,
  libasound2-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,3 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## qtractor 0.9.9

=== debian/changelog ===
qtractor (0.9.9-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: add libaubio-dev to build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 28 Jul 2019 20:59:44 +0200

qtractor (0.9.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 07 Jul 2019 12:17:44 +0200

qtractor (0.9.8-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 03 Jun 2019 07:24:59 +0200

qtractor (0.9.7-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 17 Apr 2019 08:15:56 +0200

qtractor (0.9.6-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 21 Mar 2019 06:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  debhelper (>= 11~),
  dssi-dev,
  ladspa-sdk,
+ libaubio-dev,
  libasound2-dev,
  libgtk2.0-dev,
  libjack-dev,

## qtractor 0.9.12

=== CMakeLists.txt ===
project(QTRACTOR)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.9.12")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
endif ()

set (PACKAGE_NAME "Qtractor")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qtractor")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable libvorbis(file) availability.
option (CONFIG_LIBVORBIS "Enable libvorbis interface (default=yes)" 1)

# Enable libmad availability.
option (CONFIG_LIBMAD "Enable libmad interface (default=yes)" 1)

# Enable libsamplerate availability.
option (CONFIG_LIBSAMPLERATE "Enable libsamplerate interface (default=yes)" 1)

# Enable librubberband availability.
option (CONFIG_LIBRUBBERBAND "Enable librubberband interface (default=yes)" 1)

# Enable libaudio support.
option (CONFIG_LIBAUBIO "Enable libaubio interface support (default=yes)" 1)

# Enable liblo availability.
option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)

# Enable libz availability.
option (CONFIG_LIBZ "Enable libz interface (default=yes)" 1)

# Enable LILV support.
option (CONFIG_LIBLILV "Enable LILV interface support (default=yes)" 1)

# Enable SUIL support.
option (CONFIG_LIBSUIL "Enable SUIL interface support (default=yes)" 1)

# Enable SSE optimization.
option (CONFIG_SSE "Enable SSE optimization (default=yes)" 1)

# Enable LADSPA support.
option (CONFIG_LADSPA "Enable LADSPA plug-in support (default=yes)" 1)

# Enable DSSI support.
option (CONFIG_DSSI "Enable DSSI plug-in support (default=yes)" 1)

# Enable VST support.
option (CONFIG_VST "Enable VST plug-in support (default=yes)" 1)

option (CONFIG_VESTIGE "Enable VeSTige header support (default=yes)" 1)

# Enable LV2 support.
option (CONFIG_LV2 "Enable LV2 plug-in support (default=yes)" 1)

option (CONFIG_LV2_EVENT "Enable LV2 plug-in MIDI/Event support (default=no)" 0)

option (CONFIG_LV2_ATOM "Enable LV2 plug-in MIDI/Atom support (default=yes)" 1)

option (CONFIG_LV2_WORKER "Enable LV2 plug-in Worker/schedule support (default=yes)" 1)

option (CONFIG_LV2_UI "Enable LV2 plug-in UI support (default=yes)" 1)

option (CONFIG_LV2_EXTERNAL_UI "Enable LV2 plug-in External UI support (default=yes)" 1)

option (CONFIG_LV2_STATE "Enable LV2 plug-in State support (default=yes)" 1)

option (CONFIG_LV2_STATE_FILES "Enable LV2 plug-in State Files support (default=yes)" 1)

option (CONFIG_LV2_STATE_MAKE_PATH "Enable LV2 plug-in State Make Path support (default=no)" 0)

option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)

option (CONFIG_LV2_PRESETS "Enable LV2 plug-in Presets support (default=yes)" 1)

option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)

option (CONFIG_LV2_TIME "Enable LV2 plug-in Time support (default=yes)" 1)

option (CONFIG_LV2_TIME_POSITION "Enable LV2 plug-in Time/position support (default=yes)" 1)

option (CONFIG_LV2_OPTIONS "Enable LV2 plug-in Options support (default=yes)" 1)

option (CONFIG_LV2_BUF_SIZE "Enable LV2 plug-in Buf-size support (default=yes)" 1)

option (CONFIG_LV2_UI_TOUCH "Enable LV2 plug-in UI Touch interface support (default=yes)" 1)

option (CONFIG_LV2_UI_IDLE "Enable LV2 plug-in UI Idle interface support (default=yes)" 1)

option (CONFIG_LV2_UI_SHOW "Enable LV2 plug-in UI Show interface support (default=yes)" 1)

option (CONFIG_LV2_UI_GTK2 "Enable LV2 plug-in UI GTK2 native support (default=yes)" 1)

option (CONFIG_LV2_UI_X11 "Enable LV2 plug-in UI X11 native support (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK latency support.
option (CONFIG_JACK_LATENCY "Enable JACK latency support (default=yes)" 1)

# Enable JACK metadata support.
option (CONFIG_JACK_METADATA "Enable JACK metadata support (default=yes)" 1)

# Enable NSM support.
option (CONFIG_NSM "Enable NSM support (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=no)" 0)

# Enable gradient eye_candy.
option (CONFIG_GRADIENT "Enable gradient eye-candy (default=yes)" 1)

# Enable debugger stack_trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)

if (CONFIG_XUNIQUE)
  find_package (Qt5 REQUIRED COMPONENTS Network)
endif ()

find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for libraries.
if (WIN32)
  check_function_exists (lroundf CONFIG_ROUND)
else ()
  find_library (MATH_LIBRARY m)
  # Check for round math function.
  if (MATH_LIBRARY)
    set (CMAKE_REQUIRED_LIBRARIES "${MATH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
    check_function_exists (lroundf CONFIG_ROUND)
  else ()
    message (FATAL_ERROR "*** math library not found.")
  endif ()
endif ()

# Check for IEEE 32bit float optimizations.
set (CONFIG_FLOAT32 1)

# Check for SSE optimization.
if (CONFIG_SSE)
  add_compile_options (-msse -mfpmath=sse -ffast-math)
endif ()

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Check for LADSPA headers.
if (CONFIG_LADSPA)
  check_include_file (ladspa.h HAVE_LADSPA_H)
  if (NOT HAVE_LADSPA_H)
    set (CONFIG_LADSPA 0)
  endif ()
endif ()

# Check for DSSI headers.
if (CONFIG_DSSI)
  check_include_file (dssi.h HAVE_DSSI_H)
  if (NOT HAVE_DSSI_H)
    set (CONFIG_DSSI 0)
  endif ()
endif ()

# Check for VST headers.
if (CONFIG_VST)
  check_include_file (aeffectx.h HAVE_AEFFECTX_H)
  if (NOT HAVE_AEFFECTX_H AND CONFIG_VESTIGE)
    set (VESTIGE_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/vestige)
    set (CMAKE_REQUIRED_INCLUDES "${VESTIGE_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
    include_directories (${VESTIGE_INCLUDES})
    check_include_file (vestige.h HAVE_VESTIGE_H)
    if (NOT HAVE_VESTIGE_H)
      set (CONFIG_VESTIGE 0)
    endif ()
    set (CONFIG_VST ${CONFIG_VESTIGE})
  else ()
    set (CONFIG_VESTIGE 0)
  endif ()
endif ()

# Check for LV2 headers.
if (CONFIG_LV2)
  set (LV2_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/lv2)
  set (CMAKE_REQUIRED_INCLUDES "${LV2_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
  include_directories (${LV2_INCLUDES})
endif ()

# Find package modules
find_package (PkgConfig REQUIRED)

# Check for JACK libraries.
pkg_check_modules (JACK REQUIRED jack>=0.100.0)
if (JACK_FOUND)
  set (CONFIG_LIBJACK 1)
  include_directories (${JACK_INCLUDE_DIRS})
  link_directories (${JACK_LIBRARY_DIRS})
# link_libraries (${JACK_LIBRARIES})
  set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  # Check for JACK session event callback availability.
  if (CONFIG_JACK_SESSION)
    check_function_exists (jack_set_session_callback CONFIG_JACK_SESSION)
  endif ()
  # Check for (new) JACK latency support availability.
  if (CONFIG_JACK_LATENCY)
    check_function_exists (jack_port_get_latency_range CONFIG_JACK_LATENCY)
  endif ()
  # Check for JACK metadata support availability.
  if (CONFIG_JACK_METADATA)
    check_function_exists (jack_get_property CONFIG_JACK_METADATA)
  endif ()
  # Check for jack_set_port_rename_callback.
  check_function_exists (jack_set_port_rename_callback CONFIG_JACK_PORT_RENAME)
else ()
  message (FATAL_ERROR "*** JACK library not found.")
  set (CONFIG_LIBJACK 0)
endif ()

# Check for ALSA libraries.
pkg_check_modules (ALSA REQUIRED alsa)
if (ALSA_FOUND)
  set (CONFIG_LIBASOUND 1)
  include_directories (${ALSA_INCLUDE_DIRS})
  link_directories (${ALSA_LIBRARY_DIRS})
  link_libraries (${ALSA_LIBRARIES})
# set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** ALSA library not found.")
  set (CONFIG_LIBASOUND 0)
endif ()

# Check for SNDFILE libraries.
pkg_check_modules (SNDFILE REQUIRED sndfile)
if (SNDFILE_FOUND)
  set (CONFIG_LIBSNDFILE 1)
  include_directories (${SNDFILE_INCLUDE_DIRS})
  link_directories (${SNDFILE_LIBRARY_DIRS})
  link_libraries (${SNDFILE_LIBRARIES})
# set (CMAKE_REQUIRED_LIBRARIES "${SNDFILE_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** SNDFILE library not found.")
  set (CONFIG_LIBSNDFILE 0)
endif ()

# Check for VORBIS libraries.
if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBIS vorbis)
  if (VORBIS_FOUND)
    include_directories (${VORBIS_INCLUDE_DIRS})
    link_directories (${VORBIS_LIBRARY_DIRS})
    link_libraries (${VORBIS_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${VORBIS_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** VORBIS library not found.")
    set (CONFIG_LIBVORBIS 0)
  endif ()
endif ()

if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBISENC REQUIRED vorbisenc)
  if (VORBISENC_FOUND)
    include_directories (${VORBISENC_INCLUDE_DIRS})
    link_directories (${VORBISENC_LIBRARY_DIRS})
    link_libraries (${VORBISENC_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${VORBISENC_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  endif ()
endif ()

if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBISFILE REQUIRED vorbisfile)
  if (VORBISFILE_FOUND)
    include_directories (${VORBISFILE_INCLUDE_DIRS})
    link_directories (${VORBISFILE_LIBRARY_DIRS})
    link_libraries (${VORBISFILE_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${VORBISFILE_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  endif ()
endif ()

if (CONFIG_LIBVORBIS)
  pkg_check_modules (OGG REQUIRED ogg)
  if (OGG_FOUND)
    include_directories (${OGG_INCLUDE_DIRS})
    link_directories (${OGG_LIBRARY_DIRS})
    link_libraries (${OGG_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${OGG_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  endif ()
endif ()

# Check for MAD libraries.
if (CONFIG_LIBMAD)
  pkg_check_modules (MAD mad)
  if (MAD_FOUND)
    include_directories (${MAD_INCLUDE_DIRS})
    link_directories (${MAD_LIBRARY_DIRS})
    link_libraries (${MAD_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${MAD_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** MAD library not found.")
    set (CONFIG_LIBMAD 0)
  endif ()
endif ()

# Check for SAMPLERATE libraries.
if (CONFIG_LIBSAMPLERATE)
  pkg_check_modules (SAMPLERATE samplerate)
  if (SAMPLERATE_FOUND)
    include_directories (${SAMPLERATE_INCLUDE_DIRS})
    link_directories (${SAMPLERATE_LIBRARY_DIRS})
    link_libraries (${SAMPLERATE_LIBRARIES})

=== src/CMakeLists.txt ===
set(NAME qtractor)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qtractor.h
  qtractorAbout.h
  qtractorAtomic.h
  qtractorActionControl.h
  qtractorAudioBuffer.h
  qtractorAudioClip.h
  qtractorAudioConnect.h
  qtractorAudioEngine.h
  qtractorAudioFile.h
  qtractorAudioListView.h
  qtractorAudioMadFile.h
  qtractorAudioMeter.h
  qtractorAudioMonitor.h
  qtractorAudioPeak.h
  qtractorAudioSndFile.h
  qtractorAudioVorbisFile.h
  qtractorClip.h
  qtractorClipCommand.h
  qtractorClipSelect.h
  qtractorCommand.h
  qtractorConnect.h
  qtractorConnections.h
  qtractorCtlEvent.h
  qtractorCurve.h
  qtractorCurveCommand.h
  qtractorCurveFile.h
  qtractorCurveSelect.h
  qtractorDocument.h
  qtractorDssiPlugin.h
  qtractorEngine.h
  qtractorEngineCommand.h
  qtractorFifoBuffer.h
  qtractorFileList.h
  qtractorFileListView.h
  qtractorFiles.h
  qtractorFileSystem.h
  qtractorInsertPlugin.h
  qtractorInstrument.h
  qtractorInstrumentMenu.h
  qtractorLadspaPlugin.h
  qtractorList.h
  qtractorLv2Plugin.h
  qtractorMessageBox.h
  qtractorMessageList.h
  qtractorMessages.h
  qtractorMeter.h
  qtractorMidiBuffer.h
  qtractorMidiClip.h
  qtractorMidiConnect.h
  qtractorMidiControl.h
  qtractorMidiControlCommand.h
  qtractorMidiControlObserver.h
  qtractorMidiControlTypeGroup.h
  qtractorMidiCursor.h
  qtractorMidiEditor.h
  qtractorMidiEditCommand.h
  qtractorMidiEditEvent.h
  qtractorMidiEditList.h
  qtractorMidiEditSelect.h
  qtractorMidiEditTime.h
  qtractorMidiEditView.h
  qtractorMidiEngine.h
  qtractorMidiEvent.h
  qtractorMidiEventList.h
  qtractorMidiFile.h
  qtractorMidiFileTempo.h
  qtractorMidiListView.h
  qtractorMidiManager.h
  qtractorMidiMeter.h
  qtractorMidiMonitor.h
  qtractorMidiRpn.h
  qtractorMidiSequence.h
  qtractorMidiSysex.h
  qtractorMidiThumbView.h
  qtractorMidiTimer.h
  qtractorMixer.h
  qtractorMmcEvent.h
  qtractorMonitor.h
  qtractorNsmClient.h
  qtractorObserver.h
  qtractorObserverWidget.h
  qtractorOptions.h
  qtractorPlugin.h
  qtractorPluginFactory.h
  qtractorPluginCommand.h
  qtractorPluginListView.h
  qtractorPropertyCommand.h
  qtractorRingBuffer.h
  qtractorRubberBand.h
  qtractorScrollView.h
  qtractorSession.h
  qtractorSessionCommand.h
  qtractorSessionCursor.h
  qtractorSpinBox.h
  qtractorThumbView.h
  qtractorTimeScale.h
  qtractorTimeScaleCommand.h
  qtractorTimeStretcher.h
  qtractorTrack.h
  qtractorTrackButton.h
  qtractorTrackCommand.h
  qtractorTrackList.h
  qtractorTrackTime.h
  qtractorTrackView.h
  qtractorTracks.h
  qtractorVstPlugin.h
  qtractorZipFile.h
  qtractorWsolaTimeStretcher.h
  qtractorBusForm.h
  qtractorClipForm.h
  qtractorConnectForm.h
  qtractorEditRangeForm.h
  qtractorExportForm.h
  qtractorInstrumentForm.h
  qtractorMainForm.h
  qtractorMidiControlForm.h
  qtractorMidiControlObserverForm.h
  qtractorMidiEditorForm.h
  qtractorMidiSysexForm.h
  qtractorMidiToolsForm.h
  qtractorOptionsForm.h
  qtractorPaletteForm.h
  qtractorPasteRepeatForm.h
  qtractorPluginForm.h
  qtractorPluginSelectForm.h
  qtractorSessionForm.h
  qtractorShortcutForm.h
  qtractorTakeRangeForm.h
  qtractorTempoAdjustForm.h
  qtractorTimeScaleForm.h
  qtractorTrackForm.h
)

set (SOURCES
  qtractor.cpp
  qtractorActionControl.cpp
  qtractorAudioBuffer.cpp
  qtractorAudioClip.cpp
  qtractorAudioConnect.cpp
  qtractorAudioEngine.cpp
  qtractorAudioFile.cpp
  qtractorAudioListView.cpp
  qtractorAudioMadFile.cpp
  qtractorAudioMeter.cpp
  qtractorAudioMonitor.cpp
  qtractorAudioPeak.cpp
  qtractorAudioSndFile.cpp
  qtractorAudioVorbisFile.cpp
  qtractorClip.cpp
  qtractorClipCommand.cpp
  qtractorClipSelect.cpp
  qtractorCommand.cpp
  qtractorConnect.cpp
  qtractorConnections.cpp
  qtractorDocument.cpp
  qtractorCurve.cpp
  qtractorCurveCommand.cpp
  qtractorCurveFile.cpp
  qtractorCurveSelect.cpp
  qtractorDssiPlugin.cpp
  qtractorEngine.cpp
  qtractorEngineCommand.cpp
  qtractorFileList.cpp
  qtractorFileListView.cpp
  qtractorFiles.cpp
  qtractorFileSystem.cpp
  qtractorInsertPlugin.cpp
  qtractorInstrument.cpp
  qtractorInstrumentMenu.cpp
  qtractorLadspaPlugin.cpp
  qtractorLv2Plugin.cpp
  qtractorMessageBox.cpp
  qtractorMessageList.cpp
  qtractorMessages.cpp
  qtractorMeter.cpp
  qtractorMidiClip.cpp
  qtractorMidiConnect.cpp
  qtractorMidiControl.cpp
  qtractorMidiControlCommand.cpp
  qtractorMidiControlObserver.cpp
  qtractorMidiControlTypeGroup.cpp
  qtractorMidiCursor.cpp
  qtractorMidiEditor.cpp
  qtractorMidiEditCommand.cpp
  qtractorMidiEditEvent.cpp
  qtractorMidiEditList.cpp
  qtractorMidiEditSelect.cpp
  qtractorMidiEditTime.cpp
  qtractorMidiEditView.cpp
  qtractorMidiEngine.cpp
  qtractorMidiEventList.cpp
  qtractorMidiFile.cpp
  qtractorMidiFileTempo.cpp
  qtractorMidiListView.cpp
  qtractorMidiManager.cpp
  qtractorMidiMeter.cpp
  qtractorMidiMonitor.cpp
  qtractorMidiRpn.cpp
  qtractorMidiSequence.cpp
  qtractorMidiThumbView.cpp
  qtractorMidiTimer.cpp
  qtractorMixer.cpp
  qtractorMmcEvent.cpp
  qtractorNsmClient.cpp
  qtractorObserver.cpp
  qtractorObserverWidget.cpp
  qtractorOptions.cpp
  qtractorPlugin.cpp
  qtractorPluginFactory.cpp
  qtractorPluginCommand.cpp
  qtractorPluginListView.cpp
  qtractorRubberBand.cpp
  qtractorScrollView.cpp
  qtractorSession.cpp
  qtractorSessionCommand.cpp
  qtractorSessionCursor.cpp
  qtractorSpinBox.cpp
  qtractorThumbView.cpp
  qtractorTimeScale.cpp
  qtractorTimeScaleCommand.cpp
  qtractorTimeStretcher.cpp
  qtractorTrack.cpp
  qtractorTrackButton.cpp
  qtractorTrackCommand.cpp
  qtractorTrackList.cpp
  qtractorTrackTime.cpp
  qtractorTrackView.cpp
  qtractorTracks.cpp
  qtractorVstPlugin.cpp
  qtractorWsolaTimeStretcher.cpp
  qtractorZipFile.cpp
  qtractorBusForm.cpp
  qtractorClipForm.cpp
  qtractorConnectForm.cpp
  qtractorEditRangeForm.cpp
  qtractorExportForm.cpp
  qtractorInstrumentForm.cpp
  qtractorMainForm.cpp
  qtractorMidiControlForm.cpp
  qtractorMidiControlObserverForm.cpp
  qtractorMidiEditorForm.cpp
  qtractorMidiSysexForm.cpp
  qtractorMidiToolsForm.cpp
  qtractorOptionsForm.cpp
  qtractorPaletteForm.cpp
  qtractorPasteRepeatForm.cpp
  qtractorPluginForm.cpp
  qtractorPluginSelectForm.cpp
  qtractorSessionForm.cpp
  qtractorShortcutForm.cpp
  qtractorTakeRangeForm.cpp
  qtractorTempoAdjustForm.cpp
  qtractorTimeScaleForm.cpp
  qtractorTrackForm.cpp
)

set (FORMS
  qtractorBusForm.ui
  qtractorClipForm.ui
  qtractorConnectForm.ui
  qtractorEditRangeForm.ui
  qtractorExportForm.ui
  qtractorInstrumentForm.ui
  qtractorMainForm.ui
  qtractorMidiControlForm.ui
  qtractorMidiControlObserverForm.ui
  qtractorMidiEditorForm.ui
  qtractorMidiSysexForm.ui
  qtractorMidiToolsForm.ui
  qtractorOptionsForm.ui
  qtractorPaletteForm.ui
  qtractorPasteRepeatForm.ui
  qtractorPluginForm.ui
  qtractorPluginSelectForm.ui
  qtractorSessionForm.ui
  qtractorShortcutForm.ui
  qtractorTakeRangeForm.ui
  qtractorTempoAdjustForm.ui
  qtractorTimeScaleForm.ui
  qtractorTrackForm.ui
)

set (RESOURCES
  qtractor.qrc
)

set (TRANSLATIONS
  translations/qtractor_cs.ts
  translations/qtractor_de.ts
  translations/qtractor_es.ts
  translations/qtractor_fr.ts
  translations/qtractor_it.ts
  translations/qtractor_ja.ts
  translations/qtractor_pt.ts
  translations/qtractor_ru.ts
)

qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
add_custom_target( translations ALL DEPENDS ${QM_FILES} )

qt5_wrap_ui (UI_SOURCES ${FORMS})
qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
qt5_add_resources (QRC_SOURCES ${RESOURCES})

if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()


add_executable (${NAME}
  ${UI_SOURCES}
  ${MOC_SOURCES}
  ${QRC_SOURCES}
  ${SOURCES}
)

add_executable (${NAME}_plugin_scan qtractor_plugin_scan.cpp)

set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_plugin_scan PROPERTIES CXX_STANDARD 11)

if (WIN32)
  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
  set_target_properties (${NAME}_plugin_scan PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
  set_target_properties (${NAME}_plugin_scan PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${NAME} PRIVATE Qt5::Widgets Qt5::Xml)
target_link_libraries (${NAME}_plugin_scan PRIVATE Qt5::Core)

if (CONFIG_XUNIQUE)
  target_link_libraries (${NAME} PRIVATE Qt5::Network)
endif ()

if (CONFIG_LIBJACK)
  target_link_libraries (${NAME} PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_LIBASOUND)
  target_link_libraries (${NAME} PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_LIBSNDFILE)
  target_link_libraries (${NAME} PRIVATE ${SNDFILE_LIBRARIES})
endif ()

if (CONFIG_LIBVORBIS)
  target_link_libraries (${NAME} PRIVATE ${VORBIS_LIBRARIES})
endif ()

if (CONFIG_LIBMAD)
  target_link_libraries (${NAME} PRIVATE ${MAD_LIBRARIES})
endif ()

if (CONFIG_LIBSAMPLERATE)
  target_link_libraries (${NAME} PRIVATE ${SAMPLERATE_LIBRARIES})
endif ()

if (CONFIG_LIBRUBBERBAND)
  target_link_libraries (${NAME} PRIVATE ${RUBBERBAND_LIBRARIES})
endif ()

if (CONFIG_LIBAUBIO)
  target_link_libraries (${NAME} PRIVATE ${AUBIO_LIBRARIES})
endif ()

if (CONFIG_LIBLO)
  target_link_libraries (${NAME} PRIVATE ${LIBLO_LIBRARIES})
endif ()

if (CONFIG_LIBZ)
  target_link_libraries (${NAME} PRIVATE ${ZLIB_LIBRARIES})
endif ()

if (CONFIG_LIBLILV)
  target_link_libraries (${NAME} PRIVATE ${LILV_LIBRARIES})
endif ()

if (CONFIG_LIBSUIL)
  target_link_libraries (${NAME} PRIVATE ${SUIL_LIBRARIES})
endif ()

if (CONFIG_VST)
  target_link_libraries (${NAME} PRIVATE Qt5::X11Extras)
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (TARGETS ${NAME}_plugin_scan RUNTIME
     DESTINATION ${CMAKE_INSTALL_LIBDIR}/${NAME})
  install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${NAME}-session.png
       mimetypes/application-x-${NAME}-template.png
       mimetypes/application-x-${NAME}-archive.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${NAME}-session.svg
       mimetypes/application-x-${NAME}-template.svg
       mimetypes/application-x-${NAME}-archive.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

if (WIN32)
   install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (TARGETS ${NAME}_plugin_scan RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
endif ()

=== debian/changelog ===
qtractor (0.9.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:53 +0100

qtractor (0.9.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 30 Dec 2019 21:43:55 +0100

qtractor (0.9.11-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 12 Nov 2019 09:41:40 +0100

qtractor (0.9.10-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 14 Oct 2019 09:30:10 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  libx11-dev,
  lv2-dev
 Homepage: https://qtractor.sourceforge.io/
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qtractor.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qtractor
 
@@ -44,7 +44,7 @@
 Provides:
  lv2-host
 Description: MIDI/Audio multi-track sequencer application
- Qtractor is a MIDI/Audio multi-track sequencer application written
+ This is a MIDI/Audio multi-track sequencer application written
  in C++.
  .
  The Jack Audio Connection Kit (JACK) for audio, and the Advanced Linux

=== debian/watch ===
version=3
https://sf.net/qtractor/qtractor-([\d.]+)\.tar\.gz

## qtractor 0.9.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.12")
+set (VERSION "0.9.17")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -95,6 +95,9 @@
 
 option (CONFIG_VESTIGE "Enable VeSTige header support (default=yes)" 1)
 
+# Enable VST3 support.
+option (CONFIG_VST3 "Enable VST3 plug-in support (default=yes)" 1)
+
 # Enable LV2 support.
 option (CONFIG_LV2 "Enable LV2 plug-in support (default=yes)" 1)
 
@@ -102,6 +105,8 @@
 
 option (CONFIG_LV2_ATOM "Enable LV2 plug-in MIDI/Atom support (default=yes)" 1)
 
+option (CONFIG_LV2_CVPORT "Enable LV2 plug-in CVPort support (DUMMY) (default=yes)" 1)
+
 option (CONFIG_LV2_WORKER "Enable LV2 plug-in Worker/schedule support (default=yes)" 1)
 
 option (CONFIG_LV2_UI "Enable LV2 plug-in UI support (default=yes)" 1)
@@ -116,10 +121,14 @@
 
 option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)
 
+option (CONFIG_LV2_MIDNAM "Enable LV2 plug-in MIDNAM support (default=yes)" 1)
+
 option (CONFIG_LV2_PRESETS "Enable LV2 plug-in Presets support (default=yes)" 1)
 
 option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)
 
+option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (EXPERIMENTAL) (default=yes)" 1)
+
 option (CONFIG_LV2_TIME "Enable LV2 plug-in Time support (default=yes)" 1)
 
 option (CONFIG_LV2_TIME_POSITION "Enable LV2 plug-in Time/position support (default=yes)" 1)
@@ -128,7 +137,11 @@
 
 option (CONFIG_LV2_BUF_SIZE "Enable LV2 plug-in Buf-size support (default=yes)" 1)
 
+option (CONFIG_LV2_PARAMETERS "Enable LV2 plug-in Parameters support (default=yes)" 1)
+
 option (CONFIG_LV2_UI_TOUCH "Enable LV2 plug-in UI Touch interface support (default=yes)" 1)
+
+option (CONFIG_LV2_UI_REQ_VALUE "Enable LV2 plug-in UI Request-value support (default=yes)" 1)
 
 option (CONFIG_LV2_UI_IDLE "Enable LV2 plug-in UI Idle interface support (default=yes)" 1)
 
@@ -177,6 +190,7 @@
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
 include (CheckIncludeFileCXX)
+include (CheckStructHasMember)
 include (CheckFunctionExists)
 include (CheckLibraryExists)
 
@@ -185,12 +199,19 @@
   check_function_exists (lroundf CONFIG_ROUND)
 else ()
   find_library (MATH_LIBRARY m)
-  # Check for round math function.
   if (MATH_LIBRARY)
     set (CMAKE_REQUIRED_LIBRARIES "${MATH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
+  # link_libraries (${MATH_LIBRARY})
     check_function_exists (lroundf CONFIG_ROUND)
   else ()
     message (FATAL_ERROR "*** math library not found.")
+  endif ()
+  find_library (DL_LIBRARY dl)
+  if (DL_LIBRARY)
+  # set (CMAKE_REQUIRED_LIBRARIES "${DL_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
+    link_libraries (${DL_LIBRARY})
+  else ()
+    message (FATAL_ERROR "*** dl library not found.")
   endif ()
 endif ()
 
@@ -319,7 +340,7 @@
 endif ()
 
 if (CONFIG_LIBVORBIS)
-  pkg_check_modules (VORBISENC REQUIRED vorbisenc)
+  pkg_check_modules (VORBISENC vorbisenc)
   if (VORBISENC_FOUND)
     include_directories (${VORBISENC_INCLUDE_DIRS})
     link_directories (${VORBISENC_LIBRARY_DIRS})
@@ -329,7 +350,7 @@
 endif ()
 
 if (CONFIG_LIBVORBIS)
-  pkg_check_modules (VORBISFILE REQUIRED vorbisfile)
+  pkg_check_modules (VORBISFILE vorbisfile)
   if (VORBISFILE_FOUND)
     include_directories (${VORBISFILE_INCLUDE_DIRS})
     link_directories (${VORBISFILE_LIBRARY_DIRS})
@@ -339,33 +360,8 @@
 endif ()
 
 if (CONFIG_LIBVORBIS)
-  pkg_check_modules (OGG REQUIRED ogg)
+  pkg_check_modules (OGG ogg)
   if (OGG_FOUND)
     include_directories (${OGG_INCLUDE_DIRS})
     link_directories (${OGG_LIBRARY_DIRS})
     link_libraries (${OGG_LIBRARIES})
-  # set (CMAKE_REQUIRED_LIBRARIES "${OGG_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
-  endif ()
-endif ()
-
-# Check for MAD libraries.
-if (CONFIG_LIBMAD)
-  pkg_check_modules (MAD mad)
-  if (MAD_FOUND)
-    include_directories (${MAD_INCLUDE_DIRS})
-    link_directories (${MAD_LIBRARY_DIRS})
-    link_libraries (${MAD_LIBRARIES})
-  # set (CMAKE_REQUIRED_LIBRARIES "${MAD_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
-  else ()
-    message (WARNING "*** MAD library not found.")
-    set (CONFIG_LIBMAD 0)
-  endif ()
-endif ()
-
-# Check for SAMPLERATE libraries.
-if (CONFIG_LIBSAMPLERATE)
-  pkg_check_modules (SAMPLERATE samplerate)
-  if (SAMPLERATE_FOUND)
-    include_directories (${SAMPLERATE_INCLUDE_DIRS})
-    link_directories (${SAMPLERATE_LIBRARY_DIRS})
-    link_libraries (${SAMPLERATE_LIBRARIES})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
   qtractorClip.h
   qtractorClipCommand.h
   qtractorClipSelect.h
+  qtractorComboBox.h
   qtractorCommand.h
   qtractorConnect.h
   qtractorConnections.h
@@ -39,7 +40,6 @@
   qtractorDssiPlugin.h
   qtractorEngine.h
   qtractorEngineCommand.h
-  qtractorFifoBuffer.h
   qtractorFileList.h
   qtractorFileListView.h
   qtractorFiles.h
@@ -114,6 +114,7 @@
   qtractorTrackView.h
   qtractorTracks.h
   qtractorVstPlugin.h
+  qtractorVst3Plugin.h
   qtractorZipFile.h
   qtractorWsolaTimeStretcher.h
   qtractorBusForm.h
@@ -159,6 +160,7 @@
   qtractorClip.cpp
   qtractorClipCommand.cpp
   qtractorClipSelect.cpp
+  qtractorComboBox.cpp
   qtractorCommand.cpp
   qtractorConnect.cpp
   qtractorConnections.cpp
@@ -237,6 +239,7 @@
   qtractorTrackView.cpp
   qtractorTracks.cpp
   qtractorVstPlugin.cpp
+  qtractorVst3Plugin.cpp
   qtractorWsolaTimeStretcher.cpp
   qtractorZipFile.cpp
   qtractorBusForm.cpp
@@ -333,18 +336,32 @@
     MACOSX_PACKAGE_LOCATION Resources)
 endif ()
 
+if (CONFIG_VST3SDK)
+  add_definitions(-DNDEBUG)
+  set (VST3SDK_SOURCES
+    ${CONFIG_VST3SDK}/base/source/baseiids.cpp
+  # ${CONFIG_VST3SDK}/base/source/fstring.cpp
+    ${CONFIG_VST3SDK}/base/source/fobject.cpp
+    ${CONFIG_VST3SDK}/base/thread/source/flock.cpp
+    ${CONFIG_VST3SDK}/public.sdk/source/common/commoniids.cpp
+    ${CONFIG_VST3SDK}/public.sdk/source/vst/vstinitiids.cpp
+    ${CONFIG_VST3SDK}/pluginterfaces/base/coreiids.cpp
+    ${CONFIG_VST3SDK}/pluginterfaces/base/funknown.cpp
+  )
+endif ()
 
 add_executable (${NAME}
   ${UI_SOURCES}
   ${MOC_SOURCES}
   ${QRC_SOURCES}
   ${SOURCES}
-)
-
-add_executable (${NAME}_plugin_scan qtractor_plugin_scan.cpp)
-
-set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_plugin_scan PROPERTIES CXX_STANDARD 11)
+  ${VST3SDK_SOURCES}
+)
+
+add_executable (${NAME}_plugin_scan qtractor_plugin_scan.cpp ${VST3SDK_SOURCES})
+
+set_target_properties (${NAME} PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_plugin_scan PROPERTIES CXX_STANDARD 17)
 
 if (WIN32)
   set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
@@ -438,15 +455,3 @@
   install (FILES mimetypes/application-x-${NAME}-session.svg
        mimetypes/application-x-${NAME}-template.svg
        mimetypes/application-x-${NAME}-archive.svg
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
-endif ()
-
-if (WIN32)
-   install (TARGETS ${NAME} RUNTIME
-     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
-   install (TARGETS ${NAME}_plugin_scan RUNTIME
-     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
-   install (FILES ${QM_FILES}
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
-endif ()
-

=== debian/changelog ===
qtractor (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17
  * French man installation is now fixed by upstream

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 16 Sep 2020 18:09:08 +0200

qtractor (0.9.16-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/rules: Remove override_dh_auto_configure
    - lilv and suil are enabled by default

  [ Dennis Braun ]
  * New upstream version 0.9.16
  * Build with GTK3 (Closes: #967719)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 18:00:31 +0200

qtractor (0.9.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream version 0.9.14
  * d/control:
    + Bump dh-compat to 13
    + Add me as uploader
    + Set RRR: no
  * d/copyright:
    + Update copyright years
    + Add FSFAP license
    + Remove License: BSD-3-clause
    + Remove Files: src/qtractorClipFadeFunctor.*
    + http > https
  * Drop lintian overrides
  * Remove the template description of the update-my-name patch
  * Fix french manpage installation
  * d/rules: Remove obsolete linker flags
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 23 May 2020 15:14:24 +0200

qtractor (0.9.13-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 29 Mar 2020 13:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  dssi-dev,
  ladspa-sdk,
  libaubio-dev,
  libasound2-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libjack-dev,
  liblilv-dev,
  liblo-dev,
@@ -31,9 +32,10 @@
  libx11-dev,
  lv2-dev
 Homepage: https://qtractor.sourceforge.io/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qtractor.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qtractor
+Rules-Requires-Root: no
 
 Package: qtractor
 Architecture: linux-any
